package com.wd.workoffice.model;

import com.wd.workoffice.retrofit.ApiService;
import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.UserRegisterThreeContract;
import com.wd.workoffice.retrofit.RtfUtils;
import com.wd.workoffice.util.WorkUtils;

import java.util.Map;

import flexible.xd.android_base.network.rtfhttp.RtfHelper;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class UserRegisterThreeModel implements UserRegisterThreeContract.Model {
    @Override
    public Observable<BaseBean> register(Map<String, Object> param) {
        return RtfUtils.getRtf().register(WorkUtils.convertMapToBody(param));
    }

    @Override
    public Observable<BaseBean> depList() {
        return RtfUtils.getRtf().depList();
    }

    public static UserRegisterThreeModel newInstance() {
        return new UserRegisterThreeModel();
    }
}
